Skip to main content

Aggregate all members

This endpoint will kick off a new aggregation job for each member which belongs to the user. If you've set the use_cases field when creating the member, then the member's use case must be set to PFM, otherwise a 403 will return. The response will include important information about the members' aggregations including the is_being_aggregated and connection_status fields. Aggregations can take some time to finish; you can use the the read member or list members endpoints to track the status and completion of each individual aggregation as it progresses.

POST
/users/{user_identifier}/members/aggregate_all

Path Parameters

FieldRequiredType

user_identifier

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

Required
String

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String
Loading...